/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2005 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

#ifndef _TITAN_BOARDS_H
#define _TITAN_BOARDS_H

/* Let us define board specific information here.  */
#if defined(CONFIG_MIPS_TITAN) || defined(TNETV1050SDB) || defined(TNETV1060SDB_WR)

#define AUDCLK_FREQ                                  8192000
#define REFCLK_FREQ                                 25000000
#define ALTCLK_FREQ                                 12000000

/* CPMAC with low base address */
#define AVALANCHE_LOW_CPMAC_PHY_MASK                0x40000000 
/* CPMAC with high base address*/ 
#define AVALANCHE_HIGH_CPMAC_PHY_MASK               0x80000000 

#define VLYNQ0_RESET_GPIO_NUM                       0x7

#if defined(TNETV1060SDB_WR) || defined(CONFIG_MIPS_TNETV1060SDB_WR)
#define AVALANCHE_LOW_CPMAC_HAS_EXT_SWITCH          1

#define AVALANCHE_NUM_VLYNQ_HOPS_PER_ROOT           1

#else
#define AVALANCHE_LOW_CPMAC_HAS_EXT_SWITCH          0
#endif
#define AVALANCHE_HIGH_CPMAC_HAS_EXT_SWITCH         0

#endif

#endif /* _TITAN_BOARDS_H */
